Index: NEMO/branches/2019/dev_r11842_SI3-10_EAP/doc/namelists/namdyn_rhg
===================================================================
--- NEMO/branches/2019/dev_r11842_SI3-10_EAP/doc/namelists/namdyn_rhg	(revision 13662)
+++ NEMO/branches/2019/dev_r11842_SI3-10_EAP/doc/namelists/namdyn_rhg	(revision 13746)
@@ -3,4 +3,5 @@
 !------------------------------------------------------------------------------
    ln_rhg_EVP       = .true.          !  EVP rheology
+   ln_rhg_EAP       = .true.          !  EAP rheology
       ln_aEVP       = .false.         !     adaptive rheology (Kimmritz et al. 2016 & 2017)
       rn_creepl     =   2.0e-9        !     creep limit [1/s]
Index: NEMO/branches/2019/dev_r11842_SI3-10_EAP/src/ICE/icewri.F90
===================================================================
--- NEMO/branches/2019/dev_r11842_SI3-10_EAP/src/ICE/icewri.F90	(revision 13662)
+++ NEMO/branches/2019/dev_r11842_SI3-10_EAP/src/ICE/icewri.F90	(revision 13746)
@@ -254,4 +254,5 @@
       CALL iom_rstput( 0, 0, kid, 'sivolu', vt_i         )   ! Ice volume
       CALL iom_rstput( 0, 0, kid, 'sidive', divu_i*1.0e8 )   ! Ice divergence
+      CALL iom_rstput( 0, 0, kid, 'sishea', shear_i*1.0e8 )   ! Ice shear
       CALL iom_rstput( 0, 0, kid, 'si_amp', at_ip        )   ! Melt pond fraction
       CALL iom_rstput( 0, 0, kid, 'si_vmp', vt_ip        )   ! Melt pond volume
Index: NEMO/branches/2019/dev_r11842_SI3-10_EAP/src/OCE/LBC/lib_mpp.F90
===================================================================
--- NEMO/branches/2019/dev_r11842_SI3-10_EAP/src/OCE/LBC/lib_mpp.F90	(revision 13662)
+++ NEMO/branches/2019/dev_r11842_SI3-10_EAP/src/OCE/LBC/lib_mpp.F90	(revision 13746)
@@ -142,5 +142,5 @@
    INTEGER, PUBLIC                               ::   ncom_freq                    !: frequency of comm diagnostic
    INTEGER, PUBLIC , DIMENSION(:,:), ALLOCATABLE ::   ncomm_sequence               !: size of communicated arrays (halos)
-   INTEGER, PARAMETER, PUBLIC                    ::   ncom_rec_max = 5000          !: max number of communication record
+   INTEGER, PARAMETER, PUBLIC                    ::   ncom_rec_max = 20000          !: max number of communication record
    INTEGER, PUBLIC                               ::   n_sequence_lbc = 0           !: # of communicated arraysvia lbc
    INTEGER, PUBLIC                               ::   n_sequence_glb = 0           !: # of global communications
Index: NEMO/branches/2019/dev_r11842_SI3-10_EAP/tests/ICE_RHEO/EXPREF/namelist_ice_cfg
===================================================================
--- NEMO/branches/2019/dev_r11842_SI3-10_EAP/tests/ICE_RHEO/EXPREF/namelist_ice_cfg	(revision 13662)
+++ NEMO/branches/2019/dev_r11842_SI3-10_EAP/tests/ICE_RHEO/EXPREF/namelist_ice_cfg	(revision 13746)
@@ -48,5 +48,5 @@
 &namdyn_rhg     !   Ice rheology
 !------------------------------------------------------------------------------
-   ln_rhg_EVP       = .true.          !  EVP rheology
+   ln_rhg_EVP       = .false.          !  EVP rheology
       ln_aEVP       = .false.          !     adaptive rheology (Kimmritz et al. 2016 & 2017)
       rn_creepl     =   2.0e-9        !     creep limit [1/s]
@@ -55,5 +55,10 @@
       rn_relast     =   0.333         !     ratio of elastic timescale to ice time step: Telast = dt_ice * rn_relast 
                                       !        advised value: 1/3 (rn_nevp=120) or 1/9 (rn_nevp=300)
-   ln_rhg_EAP       = .false.          !  EVP rheology
+   ln_rhg_EAP       = .true.          !  EAP rheology
+   nn_rhg_chkcvg    =   0             !  check convergence of rheology
+                                      !     = 0  no check
+                                      !     = 1  check at the main time step (output xml: uice_cvg)
+                                      !     = 2  check at both main and rheology time steps (additional output: ice_cvg.nc)
+                                      !          this option 2 asks a lot of communications between cpu
 /
 !------------------------------------------------------------------------------
@@ -96,5 +101,7 @@
 !------------------------------------------------------------------------------
    ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
-   ln_iceini_file   = .true.         !  netcdf file provided for initialization (T) or not (F)
+   nn_iceini_file   =   1             !     0 = Initialise sea ice based on SSTs
+                                      !     1 = Initialise sea ice from single category netcdf file
+                                      !     2 = Initialise sea ice from multi category restart file
    rn_thres_sst     =   2.0           !  max temp. above Tfreeze with initial ice = (sst - tfreeze)
    rn_hti_ini_n     =   3.0           !  initial ice thickness       (m), North
